Package nl.tue.id.oocsi.client.data

# Enum OOCSIDevice.SensorUnit

java.lang.Object
java.lang.Enum<OOCSIDevice.SensorUnit>
nl.tue.id.oocsi.client.data.OOCSIDevice.SensorUnit

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<OOCSIDevice.SensorUnit>`, `java.lang.constant.Constable`

Enclosing class:
  OOCSIDevice

    public static enum OOCSIDevice.SensorUnit
    extends java.lang.Enum<OOCSIDevice.SensorUnit>

from: https://developers.home-assistant.io/docs/core/entity/sensor/#available-device-classes

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `aqi` | Air Quality Index
  `battery` | % Percentage of battery that is left
  `carbon_dioxide` | ppm Concentration of carbon dioxide.
  `carbon_monoxide` | ppm Concentration of carbon monoxide.
  `current` | A Current
  `date` | Date, must be formatted according to ISO8601.
  `energy` | Wh, kWh, MWh Energy, statistics will be stored in kWh.
  `gas` | m³, ft³ Volume of gas, statistics will be stored in m³.
  `humidity` | % Relative humidity
  `illuminance` | lx, lm Light level
  `monetary` | ISO 4217 Monetary value with a currency.
  `nitrogen_dioxide` | µg/m³ Concentration of nitrogen dioxide
  `nitrogen_monoxide` | µg/m³ Concentration of nitrogen monoxide
  `nitrous_oxide` | µg/m³ Concentration of nitrous oxide
  `ozone` | µg/m³ Concentration of ozone
  `pm1` | µg/m³ Concentration of particulate matter less than 1 micrometer
  `pm10` | µg/m³ Concentration of particulate matter less than 10 micrometers
  `pm25` | µg/m³ Concentration of particulate matter less than 2.5 micrometers
  `power` | W, kW Power, statistics will be stored in W.
  `power_factor` | % Power Factor
  `pressure` | cbar, bar, hPa, inHg, kPa, mbar, Pa, psi Pressure, statistics will be stored in Pa.
  `signal_strength` | dB, dBm Signal strength
  `sulphur_dioxide` | µg/m³ Concentration of sulphure dioxide
  `temperature` | °C, °F Temperature, statistics will be stored in °C.
  `timestamp` | Timestamp, must be formatted according to ISO8601.
  `volatile_organic_compounds` | µg/m³ Concentration of volatile organic compounds
  `voltage` | V Voltage

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static OOCSIDevice.SensorUnit` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static OOCSIDevice.SensorUnit[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### aqi

    public static final OOCSIDevice.SensorUnit aqi
    Air Quality Index

  - ### battery

    public static final OOCSIDevice.SensorUnit battery
    % Percentage of battery that is left

  - ### carbon_dioxide

    public static final OOCSIDevice.SensorUnit carbon_dioxide
    ppm Concentration of carbon dioxide.

  - ### carbon_monoxide

    public static final OOCSIDevice.SensorUnit carbon_monoxide
    ppm Concentration of carbon monoxide.

  - ### current

    public static final OOCSIDevice.SensorUnit current
    A Current

  - ### date

    public static final OOCSIDevice.SensorUnit date
    Date, must be formatted according to ISO8601.

  - ### energy

    public static final OOCSIDevice.SensorUnit energy
    Wh, kWh, MWh Energy, statistics will be stored in kWh.

  - ### gas

    public static final OOCSIDevice.SensorUnit gas
    m³, ft³ Volume of gas, statistics will be stored in m³. Gas consumption measured as energy in kWh instead of a volume should be classified as energy.

  - ### humidity

    public static final OOCSIDevice.SensorUnit humidity
    % Relative humidity

  - ### illuminance

    public static final OOCSIDevice.SensorUnit illuminance
    lx, lm Light level

  - ### monetary

    public static final OOCSIDevice.SensorUnit monetary
    ISO 4217 Monetary value with a currency.

  - ### nitrogen_dioxide

    public static final OOCSIDevice.SensorUnit nitrogen_dioxide
    µg/m³ Concentration of nitrogen dioxide

  - ### nitrogen_monoxide

    public static final OOCSIDevice.SensorUnit nitrogen_monoxide
    µg/m³ Concentration of nitrogen monoxide

  - ### nitrous_oxide

    public static final OOCSIDevice.SensorUnit nitrous_oxide
    µg/m³ Concentration of nitrous oxide

  - ### ozone

    public static final OOCSIDevice.SensorUnit ozone
    µg/m³ Concentration of ozone

  - ### pm1

    public static final OOCSIDevice.SensorUnit pm1
    µg/m³ Concentration of particulate matter less than 1 micrometer

  - ### pm25

    public static final OOCSIDevice.SensorUnit pm25
    µg/m³ Concentration of particulate matter less than 2.5 micrometers

  - ### pm10

    public static final OOCSIDevice.SensorUnit pm10
    µg/m³ Concentration of particulate matter less than 10 micrometers

  - ### power

    public static final OOCSIDevice.SensorUnit power
    W, kW Power, statistics will be stored in W.

  - ### power_factor

    public static final OOCSIDevice.SensorUnit power_factor
    % Power Factor

  - ### pressure

    public static final OOCSIDevice.SensorUnit pressure
    cbar, bar, hPa, inHg, kPa, mbar, Pa, psi Pressure, statistics will be stored in Pa.

  - ### signal_strength

    public static final OOCSIDevice.SensorUnit signal_strength
    dB, dBm Signal strength

  - ### sulphur_dioxide

    public static final OOCSIDevice.SensorUnit sulphur_dioxide
    µg/m³ Concentration of sulphure dioxide

  - ### temperature

    public static final OOCSIDevice.SensorUnit temperature
    °C, °F Temperature, statistics will be stored in °C.

  - ### timestamp

    public static final OOCSIDevice.SensorUnit timestamp
    Timestamp, must be formatted according to ISO8601.

  - ### volatile_organic_compounds

    public static final OOCSIDevice.SensorUnit volatile_organic_compounds
    µg/m³ Concentration of volatile organic compounds

  - ### voltage

    public static final OOCSIDevice.SensorUnit voltage
    V Voltage

- ## Method Details

  - ### values

    public static OOCSIDevice.SensorUnit[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static OOCSIDevice.SensorUnit valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null